petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCreateRigidBodies

For the default global section, create rigid body modes by function space interpolation

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateRigidBodies(DM dm, PetscInt nb, DMLabel label, const PetscInt nids[], const PetscInt ids[], MatNullSpace *sp)

Collective on DM

### Input Arguments

| dm | - the DM
| nb | - The number of bodies
| label | - The DMLabel marking each domain
| nids | - The number of ids per body
| ids | - An array of the label ids in sequence for each domain

### Output Argument

sp -the null space

Note: This is necessary to provide a suitable coarse space for algebraic multigrid

### See Also

MatNullSpaceCreate()

### Level

advanced

### Location

src/dm/impls/plex/plexfem.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages